Bug 982598 - Procedure to enable CDI is not complete
Procedure to enable CDI is not complete
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: EAP 6.1.1
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 07:43 EDT by Jan Martiska
Modified: 2014-08-14 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11864, Development Guide-6.1-4 Build Date: 09-07-2013 13:30:04 Topic ID: 4451-459916 [Specified]
Last Closed: 2013-09-16 16:23:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2013-07-09 07:43:15 EDT
Title: Enable CDI

Describe the issue:
Only ensuring that <extension module="org.jboss.as.weld"/> is present in the configuration xml is not enough to ensure that the weld subsystem is enabled. This only 'imports' the required module to be usable, but doesn't enable the subsystem itself.

Suggestions for improvement:
Apart from the <extension module="org.jboss.as.weld"/> element under <extensions>, the user should be instructed to check that the element <subsystem xmlns="urn:jboss:domain:weld:1.0"/> exists under the respective <profile> element.
Comment 1 Misty Stanley-Jones 2013-07-24 22:08:59 EDT
Thanks for this. It has been addressed in revision 481732. The bug will be set to ON_QA when you are able to review the changes.
Comment 2 Misty Stanley-Jones 2013-08-29 22:00:01 EDT
Not yet updated.
Comment 4 Jan Martiska 2013-09-02 03:06:28 EDT
Verified, thanks.

Note You need to log in before you can comment on or make changes to this bug.